package com.zanxiang.game.module.sdk.util;

import com.zanxiang.game.module.sdk.constant.RegexConstant;
import org.apache.logging.log4j.util.Strings;

/**
 * @author : lingfeng
 * @time : 2022-10-09
 * @description : 正则匹配
 */
public class RegexUtil {

    /**
     * 验证字符串是否为手机号
     *
     * @param phone : 字符串
     * @return : 是否为手机号
     */
    public static boolean checkPhone(String phone) {
        if (Strings.isBlank(phone)) {
            return Boolean.FALSE;
        }
        return phone.matches(RegexConstant.REGEX_MOBILE_EXACT);
    }

    /**
     * 验证用户名是否合规范
     *
     * @param userName : 字符串
     * @return : 是否符合规定
     */
    public static boolean checkUserName(String userName) {
        if (Strings.isBlank(userName)) {
            return Boolean.FALSE;
        }
        return userName.matches(RegexConstant.REGEX_USER_NAME);
    }

    /**
     * 验证密码是否合规范
     *
     * @param password : 密码
     * @return : 是否符合规定
     */
    public static boolean checkPassword(String password) {
        if (Strings.isBlank(password)) {
            return Boolean.FALSE;
        }
        return password.matches(RegexConstant.REGEX_PASSWORD);
    }
}
